<script setup lang="ts">
import { onLaunch, onShow, onHide } from '@dcloudio/uni-app';
import { redirectToRoleHomeIfNeeded } from '@/utils/roleHome';

onLaunch(() => {
    redirectToRoleHomeIfNeeded();
});

onShow(() => {
    console.log('App Show');
});

onHide(() => {
    console.log('App Hide');
});
</script>

<style lang="scss">
@import './style/global.scss';
</style>
